% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/coordinates.R
\name{composition}
\alias{composition}
\alias{comp}
\title{Get composition from coordinates w.r.t.  an specific basis}
\usage{
composition(H, basis = NULL, label = "x", sparse_basis = FALSE)

comp(H, basis = NULL, label = "x", sparse_basis = FALSE)
}
\arguments{
\item{H}{coordinates of a composition. Either a matrix, a data.frame or a vector}

\item{basis}{basis used to calculate the coordinates}

\item{label}{name given to the coordinates}

\item{sparse_basis}{Is the given matrix basis sparse? If TRUE calculation are carried
taking into an account sparsity (default `FALSE`)}
}
\value{
coordinates with respect the given basis
}
\description{
Calculate a composition from coordinates with respect a given basis
}
\seealso{
See functions \code{\link{ilr_basis}}, \code{\link{alr_basis}},
\code{\link{clr_basis}}, \code{\link{sbp_basis}}
to define different compositional basis.
See function \code{\link{coordinates}} to obtain details on how to calculate
coordinates of a given composition.
}
